Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 564884 - app-text/tidy-html5: masked for removal.
Summary: app-text/tidy-html5: masked for removal.
Status: IN_PROGRESS
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Normal enhancement (vote)
Assignee: Patrice Clement
URL: https://raw.githubusercontent.com/hta...
Whiteboard: delete on 2021-11-09
Keywords: PMASKED
: 651190 (view as bug list)
Depends on: 585474 671440 671442 671444 671446 671448 671450 817344
Blocks:
  Show dependency tree
 
Reported: 2015-11-04 17:29 UTC by Matthew Schultz
Modified: 2021-10-11 11:59 UTC (History)
5 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Matthew Schultz 2015-11-04 17:29:04 UTC
tidy-html5 is a fork from htmltidy which is likely now dead upstream.  tidy-html5 contains support for html5 where htmltidy does not.  So tidy-html5 should be a drop in replacement for htmltidy.

Reproducible: Always
Comment 1 DrSlony 2015-11-12 10:25:20 UTC
Hello, I wanted to add my support to this. I've been using tidy-html5 for a long time and I'm surprised to see Matthew's comment from just a few days ago, what a coincidence :)
The app-text/htmltidy in portage is long dead, and tidy-html5 is very much alive.
Comment 2 Patrice Clement gentoo-dev 2015-11-21 10:53:37 UTC
commit c0bfb00 (HEAD, master)
Author: Patrice Clement <monsieurp@gentoo.org>
Date:   Sat Nov 21 10:48:53 2015 +0000

    app-text/tidy-html5: Initial import. Fixes bug 564884.
    
    Package-Manager: portage-2.2.20.1
    Signed-off-by: Patrice Clement <monsieurp@gentoo.org>

 create mode 100644 app-text/tidy-html5/Manifest
 create mode 100644 app-text/tidy-html5/metadata.xml
 create mode 100644 app-text/tidy-html5/tidy-html5-5.1.9.ebuild

Tidy programs/scripts are useful and it's a no brainer we must add tidy5 to Portage. I'm taking over maintainership and I'm going to mask app-text/htmltidy.
Comment 3 Patrice Clement gentoo-dev 2015-11-21 10:57:25 UTC
+# Patrice Clement <monsieurp@gentoo.org> (21 Nov 2015)
+# Upstream dead + superseded by app-text/tidy-html5.
+# Masked for removal in 30 days. See bug #564884.
+app-text/htmltidy
+

30 days timeout.
Comment 4 Patrice Clement gentoo-dev 2015-11-21 18:57:22 UTC
Removal on hold for the time being: the mask entry in package.mask has been deleted.

https://qa-reports.gentoo.org/output/genrdeps/rindex/app-text/htmltidy

The list of rdeps has to be sorted out and worked through first.
Comment 5 Ben Sagal 2015-11-22 07:05:37 UTC
Please could you wait till app-text/tidy-html5 has stable keywords
Comment 6 Taahir Ahmed 2016-01-01 21:58:00 UTC
html-tidy has started issuing new releases at http://www.html-tidy.org/ (it's linked from the sourceforge page that set as this package's homepage).  They've put out a new release just this September.
Comment 7 Taahir Ahmed 2016-01-01 22:33:28 UTC
Never mind me, both htmltidy and tidy-html5 appear to be the same project.
Comment 8 Larry the Git Cow gentoo-dev 2018-03-22 13:06:33 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0f13b7a2337180605615397d5c914290c6ccd41c

commit 0f13b7a2337180605615397d5c914290c6ccd41c
Author:     Patrice Clement <monsieurp@gentoo.org>
AuthorDate: 2018-03-21 22:42:27 +0000
Commit:     Patrice Clement <monsieurp@gentoo.org>
CommitDate: 2018-03-22 13:05:57 +0000

    dev-python/utidylib: remove app-text/htmltidy dependency.
    
    Bug: https://bugs.gentoo.org/564884
    Package-Manager: Portage-2.3.24, Repoman-2.3.6

 dev-python/utidylib/utidylib-0.3-r2.ebuild | 47 ++++++++++++++++++++++++++++++
 1 file changed, 47 insertions(+)}
Comment 9 Pacho Ramos gentoo-dev 2018-04-18 09:43:26 UTC
*** Bug 651190 has been marked as a duplicate of this bug. ***
Comment 10 Yury German Gentoo Infrastructure gentoo-dev 2020-04-15 01:12:44 UTC
So this is holding off a security vulnerability. Just circling back to see if we have made progress in a year.
Comment 11 Marek Szuba archtester gentoo-dev 2021-08-27 10:52:57 UTC
monsieurp and I have talked about this on IRC and decided that since HTACG Tidy is an official continuation of W3C Tidy (see the 2015-01-25 news item on http://tidy.sourceforge.net/), we will gradually merge app-text/tidy-html5 into app-text/htmltidy.

This expected to happen as follows:
 - new versions of HTACG Tidy will be added to the tree as ebuilds of app-text/htmltidy - done, we've already got app-text/htmltidy-5.8.0 in the tree;
 - packages depending exclusively on app-text/tidy-html5 will have >=app-text/htmltidy-5.0.0 as an alternative - done;
 - last-rite and remove <app-text/htmltidy-5.0.0 and app-text/tidy-html5 - pending "=app-text/htmltidy-5.8.0-r1 amd64 arm arm64 ppc ppc64 sparc x86" stabilisation, which will be requested on 2021-09-02.
Comment 12 Patrice Clement gentoo-dev 2021-10-10 12:52:50 UTC
Hi!

I put together a final PR to get htmltidy masked, which I merged yesterday: https://github.com/gentoo/gentoo/pull/22485. I've also sent out the last rites email:

# Patrice Clement <monsieurp@gentoo.org> (2021-10-09)
# Obsolete and unmaintained. Please switch to app-text/htmltidy.
# Bug #564884. Masked for removal in 30 days.
app-text/tidy-html5

Thank you all for your help, especially Marek.

Let's begin the customary 30 day timeout.